<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de serviciosfranquicias(Cosmetólogo)
class ServiciosAdicionalesC_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }
     //Consulta que hace la busqueda del servicio seleccionado
     public function obtenerenlace ($id){
      $this->db->where('IdServiciosFranquicias', $id);
      $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales=IdServiciosGenerales','inner');
      $query=$this->db->get('serviciosfranquicias');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }
   }
   
   //Consulta que hace la busqueda de los modelos
   public function BuscarModelo(){
     $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
    //Consulta que hace la busqueda de los tipos de servicio
    public function BuscarTipoS(){
     $query = $this->db-> query('SELECT IdTipoServicio,NombreTipoServicio FROM tiposervicio WHERE IdTipoServicio =2'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoServicio, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
    //Consulta que hace la busqueda de las categorias del servicio
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
    //Consulta que hace la busqueda de las zonas registradas
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }  
     //Consulta que hace la busqueda de la franquicia del usuario que fue logueado 
     public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         } 
   
  
}
